About

WebLog Expert Lite 2.0 Help, Copyright © 2002-2003 Alentum Software, Inc.

WebLog Expert Lite is freeware. It is a light-weight version of WebLog Expert, powerful log analyzer. You can view the comparison chart: WebLog Expert vs. WebLog Expert Lite.
You can download the latest version of WebLog Expert Lite from the program's website: http://www.weblogexpert.com. You can also download a fully functional 30-day trial version of WebLog Expert from the same site.

Send your questions, comments and suggestions to support@weblogexpert.com.


Quick Start

WebLog Expert Lite is an access log analyzer. It can help you reveal important statistics about your website usage: activity of visitors, access statistics, visitors' browsers, and much more.

The program can read log files of the most popular web servers: Apache (Combined and Common log formats are supported) and IIS 4/5/6. You can read more about the supported log formats here.

WebLog Expert Lite can also read GZ and ZIP compressed logs so you won't need to unpack the logs manually before analyzing.

Before you start analyzing you should create a profile that contains the path to your log file, information about your domain, index file name, etc. You can create as many profiles as you wish. To create a new profile click the New button on the toolbar.

After you created a profile you can analyze it by clicking the Analyze button.

Other buttons on the toolbar include:
Edit - edit the selected profile
Delete - delete the selected profile


Supported Log Formats

WebLog Expert Lite supports log files of the most popular web servers: Apache and IIS.

Apache Logs
The program supports Combined and Common log formats of Apache web server. We recommend you to use the Combined log format because the Common log format doesn't contain information about referrers and user agents (OS, browsers, spiders). By default Apache uses the Common log format but the majority of hosting providers set the Combined log format for Apache on their servers.

Here is a sample of log entry in Combined format:
213.135.131.79 - - [15/May/2002:19:21:49 -0400] "GET /features.htm HTTP/1.1" 200 9955 "http://www.weblogexpert.com/download.htm" "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)"

Log format can be configured by editing the "httpd.conf" file in the Apache conf directory (if you have access to this file). The configuration settings for the log file should look like the following:

# The following directive defines the "combined" nickname
LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined

# The location and format of the access log file
CustomLog logs/access.log combined

You can read more about Apache logs at http://httpd.apache.org/docs/logs.html

IIS Logs
WebLog Expert Lite supports the W3C Extended log format that is the default log format of IIS 4/5/6. By default IIS log files contain only few fields but you can configure IIS to show another fields:
1. Open the "Properties" dialog for your web server.
2. On the "Web Site" property sheet choose "W3C Extended Log File Format" as the active log format.
3. Click the "Properties" button to open the "Extended Logging Properties" dialog.
4. Use the "Extended Properties" sheet to set the logged fields.

The current version of WebLog Expert Lite uses the following fields:

  • Date (date)
  • Time (time)
  • Client IP Address (c-ip)
  • User Name (cs-username)
  • Method (cs-method)
  • URI Stem (cs-uri-stem)
  • URI Query (cs-uri-query)
  • Protocol Status (sc-status)
  • Bytes Sent (sc-bytes)
  • Host (cs-host)
  • User Agent (cs(User-Agent))
  • Referer (cs(Referer))

However, we recommend you to check all the available fields, not only the above ones, because the other fields may be used in the future versions of the program.


FAQ

Here you can find answers to some frequently asked questions. If you have a question that isn't answered here you may send it to support@weblogexpert.com

Why don't the reports list referrers, browsers, and operating systems?
The analyzed log files don't contain information about referrers and user agents (OS, browsers). You should configure your web server so it produces log files that contain such info. You can read more about it here.


Glossary

404 Error - File not found error. It appears if a user requested a file, which doesn't exist in the site.

Authenticated User - A user which provided authentication information in the request to the site. This information is usually provided if a site requires authentication so it's visitors have to specify user name and password.

Bandwidth - Amount of traffic transmitted from the site.

Cached Request - A request that was cached on a client. If a browser has a cached copy of the requested file, it sends special request to a server so it sends the file only if it hasn't been modified. Otherwise the browser uses the cached copy of the file, and the request is logged on the server as the cached one.

Entry Page - First page visited by a user on the site.

Exit Page - Last page visited by a user on the site.

Failed Request - A request which caused an error.

Hit - A request for any file (page, image, etc).

Host - A computer connected to Internet. User hosts are shown in the reports as IP addresses or domain names.

Incomplete Request - A request in response to which the server sent only a part of a file. Many download managers download files using several threads each of which downloads a part of the file, so it is logged as several incomplete requests. Incomplete requests may also occur if the files (pages, images) are too large and/or users have problems with getting them from the site.

Page View - A request for a page file.

Spider (Robot) - A program which automatically gets information from sites. Spiders gather information for search engines, extract emails, check links, etc.

Total Unique IPs - A number of different user IP addresses or domain names.

Visitor - The program determines number of visitors by the IP addresses. If a request from an IP address came after 30 minutes since the last request from this IP, it is considered to belong to a different visitor.


Comparison

WebLog Expert vs. WebLog Expert Lite

The comparison chart below shows which features are available in WebLog Expert and WebLog Expert Lite.

You can download a fully functional 30-day trial version of WebLog Expert from http://www.weblogexpert.com/download.htm.

Feature | WebLog Expert | WebLog Expert Lite
Analysis
Supports IIS and Apache logs | Yes | Yes
Automatically detects log format | Yes | Yes
Can read GZ and ZIP compressed logs | Yes | Yes
Can download logs via FTP and HTTP | Yes | -
Can upload reports via FTP | Yes | -
Can send reports via e-mail | Yes | -
Multithreaded DNS lookup | Yes | -
DNS cache | Yes | -
Command line mode | Yes | -
Custom time ranges in profiles | Yes | -
Customizable report contents | Yes | -
Customizable time zone | Yes | -
Custom output folder | Yes | -
Date macros | Yes | -
Other options | >20 | -
Filters
Hit filters | 14 | -
Visitor filters | 4 | -
Reports
Total number of tables | 34 | 16
Total number of charts | 47 | 15
Daily comparison charts | 20 | 1
General Statistics
Summary | Yes | Yes
Activity Statistics
Daily | Yes | Yes
By Hour of Day | Yes | Yes
By Day of Week | Yes | -
By Month | Yes | -
Access Statistics
Pages | Yes | Yes
Files | Yes | Yes
Images | Yes | Yes
Directories | Yes | Yes
Entry Pages | Yes | Yes
Exit Pages | Yes | -
Paths Through Site | Yes | -
File Types | Yes | -
Visitors
Hosts | Yes | Yes
Top-Level Domains | Yes | -
Countries | Yes | -
Authenticated Users | Yes | -
Referrers
Referring Sites | Yes | Yes
Referring URLs | Yes | Yes
Search Engines | Yes | Yes
Engines and Phrases | Yes | -
Search Phrases | Yes | Yes
Search Keywords | Yes | -
Browsers
Browsers | Yes | Yes
Operating Systems | Yes | Yes
Spiders | Yes | -
Errors
Types | Yes | Yes
Detailed 404 Errors | Yes | -
Detailed Other Errors | Yes | -
Tracked Files
Summary | Yes | -
Activity and referrers for each tracked file | Yes | -


No Analyzable Information

In some cases after reading log files the program doesn't have any information about visitors' activity that can be analyzed.

The reason is that WebLog Expert Lite doesn't support the format of your log files or the log files don't contain any information about visitors' activity.